"""Support user email verification

Revision ID: 51ed49d3ed75
Revises: 5e7f3be664d5
Create Date: 2023-01-02 05:07:29.562216

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "51ed49d3ed75"
down_revision = "5e7f3be664d5"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "user_email_verification",
        sa.Column("verification_code", sa.String(length=16), nullable=False),
        sa.Column("user_id", sa.String(length=512), nullable=True),
        sa.Column("timestamp", sa.Integer(), nullable=True),
        sa.ForeignKeyConstraint(
            ["user_id"],
            ["user.id"],
        ),
        sa.PrimaryKeyConstraint("verification_code"),
    )
    with op.batch_alter_table("user", schema=None) as batch_op:
        batch_op.add_column(sa.Column("unverified", sa.Boolean(), nullable=True))

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("user", schema=None) as batch_op:
        batch_op.drop_column("unverified")

    op.drop_table("user_email_verification")
    # ### end Alembic commands ###
